# Created by pyp2rpm-3.3.7
%global pypi_name paramiko-ng
%global pypi_version 2.8.10

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        SSH2 protocol library

License:        LGPL
URL:            https://github.com/ploxiln/paramiko-ng/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(bcrypt) >= 3
BuildRequires:  python3dist(cryptography) >= 1.6
BuildRequires:  python3dist(gssapi)
BuildRequires:  python3dist(pyasn1)
BuildRequires:  python3dist(pynacl)
BuildRequires:  python3dist(setuptools)

%description
*paramiko-ng* is a fork of paramiko < for more active maintenance.For changes
in releases of this fork, see is a library for making SSH2 connections (client
or server). Emphasis is on using SSH2 as an alternative to SSL for making
secure connections between python scripts. All major ciphers and hash methods
are supported. SFTP client and server mode are both supported too.Required
packages:...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(bcrypt) >= 3
Requires:       python3dist(cryptography) >= 1.6
Requires:       python3dist(gssapi)
Requires:       python3dist(pyasn1)
Requires:       python3dist(pynacl)
%description -n python3-%{pypi_name}
*paramiko-ng* is a fork of paramiko < for more active maintenance.For changes
in releases of this fork, see is a library for making SSH2 connections (client
or server). Emphasis is on using SSH2 as an alternative to SSL for making
secure connections between python scripts. All major ciphers and hash methods
are supported. SFTP client and server mode are both supported too.Required
packages:...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/paramiko
%{python3_sitelib}/paramiko_ng-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 23 2022 Leo <leo@craftcat.dev> - 2.8.10-1
- Initial package.
